function [vysledek] = jednotaS(pom1As,poz1,row,col)
% pom1As vložený původní binární obraz. V poz1 je centroid a jeho odpovidajici x a y pozice. 
% Velikost obrazku col a row

% tato funkce funguje tak, aby došlo k vybrání zubního kanálku na obrazech,
% kde se nachází více vysokokontrastních objektů, nebo zde zasahují
% zašumněné pixely do analýzy.

pozA = round(poz1(1,1));
pozB = round(poz1(1,2));
M1 = 0;
N1 = 0;
M2 = 0;
N2 = 0;
M3 = 0;
N3 = 0;
M4 = 0;
N4 = 0;
A = 0;
A1 = 0;
A2 = 0;
A3 = 0;
A4 = 0;

% nulujeme hraniční body, v těchto místech se nenachází měřený zubí kanálek
% a pro náš algoritmus nic podstatného
vysledek = zeros(row,col);
pom1As(1,:) = 0;
pom1As(:,1) = 0;
pom1As(row,:) = 0;
pom1As(:,col) = 0;


% funkce prochází celý obrázek od pozic centroidu a přidává postupně
% pixely, které odpovídají výplňového materiálu. Tím získáme binární obraz v místě
% výplňového materiálu a ne na místech, kde došlo k saturaci jednoho nebo více
% pixelů v oblastech neodpovídajících výplňovému materiálu.
while A < 4
    %% doprava dolu
    if (A1 == 0)
        if (pom1As(pozB + M1,pozA + N1) == 1)
            vysledek(pozB + M1,pozA + N1) = 1;
            M1 = M1 +1;
        else             
            N1 = N1 + 1;
            M1 = 0;
            if pom1As(pozB + M1,pozA + N1) == 0
                A1 = 1;
            end
        end
    end
    %% doleva dolu
    if (A2 == 0)
        if (pom1As(pozB + M2,pozA - N2) == 1)
            vysledek(pozB + M2,pozA - N2) = 1;
            M2 = M2 +1;
        else             
            N2 = N2 + 1;
            M2 = 0;
            if pom1As(pozB + M2,pozA - N2) == 0
                A2 = 1;
            end
        end
    end
    %% doleva nahoru
    if (A3 == 0)
        if (pom1As(pozB - M3,pozA - N3) == 1)
            vysledek(pozB - M3,pozA - N3) = 1;
            M3 = M3 +1;
        else             
            N3 = N3 + 1;
            M3 = 0;
            if pom1As(pozB - M3,pozA - N3) == 0
                A3 = 1;
            end
        end
    end
    %% doprava nahoru
    if (A4 == 0)
        if (pom1As(pozB - M4,pozA + N4) == 1)
            vysledek(pozB - M4,pozA + N4) = 1;
            M4 = M4 +1;
        else             
            N4 = N4 + 1;
            M4 = 0;
            if pom1As(pozB - M4,pozA + N4) == 0
                A4 = 1;
            end
        end
    end
    %% ukoncovaci podminka, ve všech směrech došlo k vybrání požadovaných pixelů.
    A = A1 + A2 + A3 + A4;
    
end
